EDIT - bug #10044

Maps in Flore Du Gabon are broken
04/25/2022 02:31 PM - Katja Luther

Status: Closed Start date:
Priority: New Due date:
Assignee: Andreas Muller % Done: 100%
Category: cdm-dataportal Estimated time: 0:00 hour
Target version: Release 5.32
Severity: normal Found in Version:
Description
Distribution

The map is currently broken due to problems with the map server.
= Distribution Layer: parsererror:Invalid JS0OM: <br><br=<b=The URL must be missing some values, or they hawe E

+ defined.</be<br><br=<b>Make sure you use the following syntax when adding the variables</b><br>Eg. http:/ed
fedit_wpShv.4/areas phgtb=?</b>*Layers<b>&</b>Area Data<b>&</b=Area Style<b-&</b>*Bounding Box<b>8&=<i
- Size<br=<br=<b=Area Data (ad=) has not been defineg</be<br=This is to determin which areas will be symbolized
on the map in the format ad=|aver name:a; [« bearea code? etc<br=You can have information form more

layer defined by bir: =|ag@r1 name:a:area codel |biarea codel | | layer? name:carea o
code2=br=The |ayers can only be earth, <a Levell htmi">tdwag1</a=, <a href="tdwglLevel2 htmI"=tdwg2

href="tdwglLevel3.html">tdwg3=<a> or <3 href="tdwglLeveld.html">tdwgd</a=. Click on the name to see a list of the
=bre<br=<pr><b>*<fb> [tems are optional<br><b>Please refer to the wiki for how to setup the services</be<br=<b

href="http://dewv.e-taxonomy ew/trac’wiki/MapRestServiceApi#Areas "= Wiki</a=</be<br>

No maps are displayed, only an error message.

History

#1 - 04/25/2022 02:32 PM - Katja Luther
- File Screenshot 2022-04-25 143146.png added

#2 - 04/25/2022 02:32 PM - Katja Luther
- Category set to cdm-dataportal
- Assignee set to Katja Luther

- Target version changed from Unassigned CDM tickets to Release 5.32

#3 - 04/25/2022 02:33 PM - Katja Luther
- Description updated

#4 - 04/25/2022 03:23 PM - Andreas Miiller

Please add an example URL

#5 - 04/25/2022 03:24 PM - Andreas Miiller

Not sure, but for FAG maybe the areas are simply not mapped. But if this is the case | wonder why maps are switched on.

#6 - 04/27/2022 12:55 PM - Andreas Miiller
There are pages where the maps work: https:/portal.cybertaxonomy.org/flore-gabon/cdm_dataportal/taxon/f1c07476-4cf1-4408-986a-8df1f541161b

#7 - 04/27/2022 12:56 PM - Katja Luther
https://portal.cybertaxonomy.org/flore-gabon/cdm_dataportal/taxon/103571e4-7507-4f99-b975-1eedbcabe99d
https://portal.cybertaxonomy.org/flore-gabon/cdm_dataportal/taxon/f1c07476-4cf1-4408-986a-8df1f541161b
https://portal.cybertaxonomy.org/flore-gabon/cdm_dataportal/taxon/103571e4-7507-4f99-b975-1eedbca6e99d

does not work

#8 - 04/27/2022 12:57 PM - Andreas Miiller

- Assignee changed from Katja Luther to Andreas Miiller

#9 - 07/21/2022 07:08 PM - Andreas Miiller
- Status changed from New to Closed

- % Done changed from 0 to 100

| reimported all data (#10092) and (afterwards) moved all textdata based distribution to "Distribution (General)" and removed "Distribution" from
feature tree. This way no structured distributions are shown which are usually not mapped correctly in FdG and also do not make much sense.

Files

Screenshot 2022-04-25 143146.png 55 KB 04/25/2022 Katja Luther
